## terraform 1.6.3

=== Makefile ===
# generate runs `go generate` to build the dynamically generated
# source files, except the protobuf stubs which are built instead with
# "make protobuf".
generate:
	go generate ./...

# We separate the protobuf generation because most development tasks on
# Terraform do not involve changing protobuf files and protoc is not a
# go-gettable dependency and so getting it installed can be inconvenient.
#
# If you are working on changes to protobuf interfaces, run this Makefile
# target to be sure to regenerate all of the protobuf stubs using the expected
# versions of protoc and the protoc Go plugins.
protobuf:
	go run ./tools/protobuf-compile .

fmtcheck:
	"$(CURDIR)/scripts/gofmtcheck.sh"

importscheck:
	"$(CURDIR)/scripts/goimportscheck.sh"

staticcheck:
	"$(CURDIR)/scripts/staticcheck.sh"

exhaustive:
	"$(CURDIR)/scripts/exhaustive.sh"

# Run this if working on the website locally to run in watch mode.
website:
	$(MAKE) -C website website

# Use this if you have run `website/build-local` to use the locally built image.
website/local:
	$(MAKE) -C website website/local

# Run this to generate a new local Docker image.
website/build-local:
	$(MAKE) -C website website/build-local

# disallow any parallelism (-j) for Make. This is necessary since some
# commands during the build process create temporary files that collide
# under parallel conditions.
.NOTPARALLEL:

.PHONY: fmtcheck importscheck generate protobuf staticcheck website website/local website/build-local

## terraform 1.6.0~alpha20230816+really1.5.6

=== debian/changelog ===
terraform (1.6.0~alpha20230816+really1.5.6-0parrot1) lory; urgency=medium

  * Rebuild for Parrot 6.0.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Fri, 08 Sep 2023 17:29:53 +0200

terraform (1.6.0~alpha20230816+really1.5.6-0kali1) kali-dev; urgency=medium

  * New upstream version 1.6.0~alpha20230816+really1.5.6
  * Update debian/watch to ignore alpha release

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 28 Aug 2023 11:16:06 +0200

terraform (1.6.0~alpha20230816-0kali1) kali-dev; urgency=medium

  * New upstream version 1.6.0~alpha20230816

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 17 Aug 2023 11:06:01 +0200

terraform (1.5.5-0kali1) kali-dev; urgency=medium

  * New upstream version 1.5.5

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 11 Aug 2023 12:06:38 +0200

terraform (1.5.3-0kali1) kali-dev; urgency=medium

  * New upstream version 1.5.3

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 18 Jul 2023 16:51:49 +0200

terraform (1.5.2-0kali1) kali-dev; urgency=medium

  * New upstream version 1.5.2

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 29 Jun 2023 10:16:19 +0200

terraform (1.5.1-0kali1) kali-dev; urgency=medium

  * New upstream version 1.5.1

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 22 Jun 2023 15:05:35 +0200

terraform (1.4.6-0kali1) kali-dev; urgency=medium

  * Initial release

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 03 May 2023 15:47:06 +0200

=== debian/control ===
Source: terraform
Section: golang
Priority: optional
Maintainer: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
Uploaders: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
Build-Depends: debhelper-compat (= 13),
               dh-golang,
               golang-any,
	       ca-certificates
Standards-Version: 4.6.2
Homepage: https://github.com/hashicorp/terraform
Rules-Requires-Root: no
XS-Go-Import-Path: github.com/hashicorp/terraform

Package: terraform
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Built-Using: ${misc:Built-Using}
Description: tool for building, changing, and versioning infrastructure
 This package contains a tool for building, changing, and versioning
 infrastructure safely and efficiently. Terraform can manage existing and
 popular service providers as well as custom in-house solutions.
 .
 Terraform enables you to safely and predictably create, change, and improve
 infrastructure. It is an open source tool that codifies APIs into declarative
 configuration files that can be shared amongst team members, treated as code,
 edited, reviewed, and versioned.
 .
 The key features of Terraform are:
  * Infrastructure as Code: Infrastructure is described using a high-
    level configuration syntax. This allows a blueprint of your datacenter
    to be versioned and treated as you would any other code. Additionally,
    infrastructure can be shared and re-used.
  * Execution Plans: Terraform has a "planning" step where it
    generates an execution plan. The execution plan shows what Terraform
    will do when you call apply. This lets you avoid any surprises when
    Terraform manipulates infrastructure.
  * Resource Graph: Terraform builds a graph of all your resources,
    and parallelizes the creation and modification of any non-dependent
    resources. Because of this, Terraform builds infrastructure as
    efficiently as possible, and operators get insight into dependencies in
    their infrastructure.
  * Change Automation: Complex changesets can be applied to your
    infrastructure with minimal human interaction. With the previously
    mentioned execution plan and resource graph, you know exactly what
    Terraform will change and in what order, avoiding many possible human
    errors.

## terraform 1.6.3

=== debian/changelog ===
terraform (1.6.3-0kali1) kali-dev; urgency=medium

  * New upstream version 1.6.3

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 02 Nov 2023 15:48:57 +0100

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,15 @@
 Source: terraform
 Section: golang
 Priority: optional
-Maintainer: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
-Uploaders: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
+Maintainer: Kali Developers <devel@kali.org>
+Uploaders: Sophie Brun <sophie@offensive-security.com>
 Build-Depends: debhelper-compat (= 13),
                dh-golang,
                golang-any,
 	       ca-certificates
 Standards-Version: 4.6.2
+Vcs-Browser: https://gitlab.com/kalilinux/packages/terraform
+Vcs-Git: https://gitlab.com/kalilinux/packages/terraform.git
 Homepage: https://github.com/hashicorp/terraform
 Rules-Requires-Root: no
 XS-Go-Import-Path: github.com/hashicorp/terraform

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE = 1

export GOCACHE=$(CURDIR)/vendor
export GOPATH=$(CURDIR)/vendor

%:
	dh $@ --builddirectory=_build --buildsystem=golang --with=golang

override_dh_auto_install:
	dh_auto_install -- --no-source

override_dh_auto_build:
	go install ./...

override_dh_auto_test:

override_dh_golang:

=== debian/tests/control ===
Test-Command: terraform -h
Restrictions: allow-stderr, superficial

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
  https://github.com/hashicorp/terraform/tags .*/v?(\d[\d.]*)\.tar\.gz debian

## terraform 1.12.2

=== debian/changelog ===
terraform (1.12.2-1kaisen) kaisen-packages; urgency=medium

  * Import the 1.12.2 release
  * Bump the golang-go version required to build

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Fri, 08 Aug 2025 13:24:12 +0200

terraform (1.10.4-1kaisen) kaisen-packages; urgency=medium

  * Import the 1.10.4 release
  * Bump the golang-go version required to build

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Wed, 15 Jan 2025 14:19:02 +0200

terraform (1.9.8-1kaisen) kaisen-packages; urgency=medium

  * Import the 1.9.8 release
  * Bump the golang-go version required to build

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Tue, 29 Oct 2024 17:51:39 +0200

terraform (1.9.4-1kaisen) kaisen-packages; urgency=medium

  * Import the 1.9.4 release
  * Bump the Standards-Version
  * Bump the golang-go version required to build
  * Remove the i386 arch
  * Add terragrunt as Suggests

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Thu, 15 Aug 2024 14:42:09 +0200

terraform (1.8.3-1kaisen) kaisen-packages; urgency=medium

  * Import the 1.8.3 release

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Wed, 08 May 2024 14:37:53 +0200

terraform (1.6.3-1kaisen) kaisen-packages; urgency=medium

  * Import the 1.6.3 release
  * Add the no-display-dev-tag flag

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Thu, 02 Nov 2023 15:09:31 +0100

terraform (1.5.5-1kaisen) kaisen-packages; urgency=medium

  * Import the 1.5.5 release

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Wed, 16 Aug 2023 00:34:32 +0100

terraform (1.5.4-1kaisen) kaisen-packages; urgency=medium

  * Import the 1.5.4 release
  * Remove golang-go as package dependancy
  * Improve the packaging

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Mon, 07 Aug 2023 21:09:42 +0100

terraform (1.5.3-1kaisen) kaisen-packages; urgency=medium

  * Import the 1.5.3 release

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Mon, 24 Jul 2023 02:03:17 +0100

terraform (1.4.6-1kaisen) kaisen-packages; urgency=medium

  * Import the 1.4.6 release

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Tue, 09 May 2023 12:19:22 +0100

terraform (1.4.2-1kaisen) kaisen-packages; urgency=medium

  * Import the 1.4.2 release

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Mon, 20 Mar 2023 00:07:28 +0100

terraform (1.3.7-1kaisen) kaisen-packages; urgency=medium

  * Import the 1.3.7 release

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Fri, 06 Jan 2023 23:32:36 +0100

terraform (1.3.6-1kaisen) kaisen-packages; urgency=medium

  * Import the 1.3.6 release

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Fri, 02 Dec 2022 15:08:22 +0100

terraform (1.3.5-1kaisen) kaisen-packages; urgency=medium

  * Import the 1.3.5 release
  * Update the golang-go version required

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Wed, 23 Nov 2022 21:15:31 +0100

terraform (1.3.0-1kaisen) kaisen-packages; urgency=medium

  * Import the 1.3.0 release

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Fri, 23 Sep 2022 23:02:24 +0100

terraform (1.2.9-1kaisen) kaisen-packages; urgency=medium

  * Import the 1.2.9 release

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Fri, 09 Sep 2022 22:57:11 +0100

terraform (1.2.7-1kaisen) kaisen-packages; urgency=medium

  * Import 1.2.7 release

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Sun, 14 Aug 2022 20:46:13 +0100

terraform (1.2.4-1kaisen) kaisen-packages; urgency=medium

  * Import 1.2.4 release

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Thu, 07 Jul 2022 18:46:34 +0100

terraform (1.2.2-1kaisen) kaisen-packages; urgency=medium

  * Import 1.2.2 release

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Fri, 03 Jun 2022 21:12:49 +0100

terraform (1.2.1-1kaisen) kaisen-packages; urgency=medium

  * Import 1.2.1 release

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Sun, 29 May 2022 23:28:14 +0100

terraform (1.1.9-1kaisen) kaisen-packages; urgency=medium

  * Import 1.1.9 release

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Sat, 23 Apr 2022 19:53:19 +0100

terraform (1.1.8-1kaisen) kaisen-packages; urgency=medium

  * Import 1.1.8 release

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Fri, 15 Apr 2022 13:10:53 +0100

terraform (1.1.7-1kaisen) kaisen-packages; urgency=medium

  * Import 1.1.7 release

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Wed, 30 Mar 2022 01:40:47 +0100

terraform (1.1.6-1kaisen) kaisen-packages; urgency=medium

  * Import 1.1.6 release

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Sun, 27 Feb 2022 17:52:07 +0100

terraform (1.1.5-2kaisen) kaisen-packages; urgency=medium

  * Add tfsec tool as suggests

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Mon, 14 Feb 2022 11:31:21 +0100

terraform (1.1.5-1kaisen) kaisen-packages; urgency=medium

  * Import 1.1.5 version

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Sun, 13 Feb 2022 16:56:36 +0100

terraform (1.1.4-1kaisen) kaisen-packages; urgency=medium

  * Import 1.1.4 version

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Fri, 24 Jan 2022 00:41:46 +0100

terraform (1.1.3-1kaisen) kaisen-packages; urgency=medium

  * Import 1.1.3 version
  * Bump to go-1.17

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Sun, 09 Jan 2022 04:05:09 +0100

terraform (1.1.0-1kaisen) kaisen-packages; urgency=medium

  * Import 1.1.0 version

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Sat, 11 Dec 2021 12:18:31 +0100

terraform (1.0.11-1kaisen) kaisen-packages; urgency=medium

  * Import 1.0.11 version

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Fri, 12 Nov 2021 21:10:27 +0200

terraform (1.0.10-1kaisen) kaisen-packages; urgency=medium

  * Import 1.0.10 version

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Sun, 07 Nov 2021 15:48:44 +0200

terraform (1.0.9-1kaisen) kaisen-packages; urgency=medium

  * Import 1.0.9 version



=== debian/control ===
Source: terraform
Section: admin
Priority: optional
Maintainer: Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>
Build-Depends: debhelper-compat (= 13),
	       golang-go (>= 1.24.2),
	       dh-golang,
Standards-Version: 4.7.2
Homepage: https://www.terraform.io/
Vcs-Browser: https://gitlab.com/kaisenlinux/packages/terraform
Vcs-Git: https://gitlab.com/kaisenlinux/packages/terraform.git
XS-Go-Import-Path: github.com/hashicorp/terraform

Package: terraform
Architecture: amd64 arm64
Depends: ${shlibs:Depends},
	 ${misc:Depends},
Suggests: tfsec, terragrunt
Description: Infrastructure as code tool to manage cloud environments
 Terraform enables you to safely and predictably create, change, and improve infrastructure. It is an open source tool that codifies APIs into declarative configuration files that can be shared amongst team members, treated as code, edited, reviewed, and versioned.

=== debian/rules ===
#!/usr/bin/make -f

export GOPATH=$(CURDIR)/_build

%:
	dh $@ --buildsystem=golang --builddirectory=_build

override_dh_auto_clean:
	rm -rf $(CURDIR)/_build

override_dh_auto_build:
	go generate .
	go build

override_dh_auto_test:
	go test

override_dh_dwz:

override_dh_auto_install:
	install -p -m 0755 $(CURDIR)/terraform $(CURDIR)/debian/terraform/usr/bin
